Xeonr Developer Docs

GetPipelineRun

POST
/uplim.api.v1.PipelineAdminService/GetPipelineRun
AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

id?string
Formatuuid
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.PipelineAdminService/GetPipelineRun" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "run": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "snapshotId": "09520abc-01e6-4da1-8fa5-f10e3883c861",
    "integrationId": "497a18ca-284e-40c0-985d-f72be35d468e",
    "bucketId": "string",
    "trigger": "PIPELINE_RUN_TRIGGER_UNSPECIFIED",
    "resource": {
      "kind": "PIPELINE_RESOURCE_KIND_UNSPECIFIED",
      "folderId": "string"
    },
    "batchId": "string",
    "status": "PIPELINE_RUN_STATUS_UNSPECIFIED",
    "failureClass": "STEP_FAILURE_CLASS_UNSPECIFIED",
    "failureStepId": "string",
    "failureMessage": "string",
    "stepRuns": [
      {
        "stepId": "string",
        "parentStepId": "string",
        "status": "STEP_RUN_STATUS_UNSPECIFIED",
        "attempt": 0,
        "failureClass": "STEP_FAILURE_CLASS_UNSPECIFIED",
        "failureMessage": "string",
        "resolvedInputsJson": "string",
        "blobOutputNames": [
          "string"
        ],
        "kvOutputKeys": [
          "string"
        ],
        "localOutputNames": [
          "string"
        ],
        "localBlobNames": [
          "string"
        ],
        "logsObjectKey": "string",
        "logsTruncated": true,
        "utilisation": {
          "cpuMilliseconds": 0,
          "wallTimeMs": 0,
          "blobBytesWritten": 0,
          "kvWrites": 0,
          "httpCallsOutbound": 0,
          "peakMemoryBytes": 0
        },
        "startedAt": "2023-01-15T01:30:15.01Z",
        "finishedAt": "2023-01-15T01:30:15.01Z"
      }
    ],
    "supersededByRunId": "458849c9-1a7a-4314-b11d-cb996f79bcdf",
    "pipelineUrn": "string",
    "enqueuedAt": "2023-01-15T01:30:15.01Z",
    "startedAt": "2023-01-15T01:30:15.01Z",
    "finishedAt": "2023-01-15T01:30:15.01Z",
    "traceRunId": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}